#ifndef CalendarEventDialog_h
#define CalendarEventDialog_h

// $Id: CalendarEventDialog.h,v 1.6 2013/10/25 09:39:37 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CalendarEventModel.h"
#include "CustomDialog.h"

#include <QPushButton>
#include <QAction>

class TreeView;

namespace CALENDAR
{

    //! Edit/create alarms
    class CalendarEventDialog: public CustomDialog
    {


        //! Qt meta object declaration
        Q_OBJECT

        public:

        //! constructor
        CalendarEventDialog( QWidget* parent, const CalendarEvent::List& list = CalendarEvent::List() );

        //! destructor
        virtual ~CalendarEventDialog( void )
        {}

        //! alarm list
        void setList( const CalendarEvent::List& list );

        //! alarm list
        CalendarEvent::List list( void ) const;

        private Q_SLOTS:

        //! update buttons
        void _updateButtons( void );

        //! add a value
        void _add( void );

        //! add a value
        void _edit( void );

        //! remove a value
        void _remove( void );

        //! import
        void _import( void );

        //! export
        void _export( void );

        private:

        //! model
        CalendarEventModel model_;

        //! alarm list
        TreeView* list_;

        //! edit button
        QPushButton* edit_;

        //! remove button
        QPushButton* remove_;

        //! remove action
        QAction* removeAction_;

        //! export button
        QPushButton* export_;

    };

};

#endif
