#ifndef AlarmList_h
#define AlarmList_h

// $Id: AlarmList.h,v 1.9 2013/10/25 09:39:38 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"
#include "File.h"
#include "Alarm.h"

#include <QObject>

// forward declaration
class XmlDocument;

namespace CLOCK
{

    //! store list alarms
    class AlarmList: public QObject, public Counter
    {

        Q_OBJECT

        public:

        //! constructor
        AlarmList( QObject* = 0 );

        //! destructor
        virtual ~AlarmList( void )
        {}

        //! list
        const Alarm::List& alarms( void ) const
        { return alarms_; }

        //! list
        Alarm::List& alarms( void )
        { return alarms_; }

        //! list
        void setAlarms( const Alarm::List& alarms )
        { alarms_ = alarms; }

        public Q_SLOTS:

        //! read from file
        bool read( File = File() );

        //! write to file
        bool write( File = File() );

        protected:

        //! read from document
        bool _read( const XmlDocument&, Alarm::List& ) const;

        private:

        //! associated file where information is to be stored; if any
        File file_;

        //! list of alarms
        Alarm::List alarms_;

    };

};

#endif
