// $Id: ClockOptions.h,v 1.28 2014/01/12 18:36:25 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Color.h"
#include "File.h"
#include "Util.h"
#include "XmlOptions.h"

//_____________________________________________________
//! Default options installer
void installClockOptions( void )
{

    XmlOptions::get().setAutoDefault( true );
    XmlOptions::get().set( "ADJUST_TIME_CMD", Option( " ", "adjust time" ) );
    XmlOptions::get().set<bool>( "ALWAYS_USE_CMD", false );
    XmlOptions::get().set<int>( "CLOCK_DELAY", 0 );

    XmlOptions::get().set<bool>( "USE_DEFAULT_COLORS", true );
    XmlOptions::get().set<BASE::Color>( "HOUR_COLOR", QColor( Qt::white ) );
    XmlOptions::get().set<BASE::Color>( "MINUTE_COLOR", QColor( Qt::white ) );
    XmlOptions::get().set<BASE::Color>( "SECOND_COLOR", QColor( "#aa0000" ) );

    XmlOptions::get().set<bool>( "SHOW_DATE", false );
    XmlOptions::get().set<bool>( "SHOW_SECONDS", false );
    XmlOptions::get().set<bool>( "SHOW_HOUR_TICKS", true );
    XmlOptions::get().set<bool>( "SHOW_MINUTE_TICKS", true );
    XmlOptions::get().set<int>( "ALARM_LIST_SORT_COLUMN", 1 );
    XmlOptions::get().set<int>( "ALARM_REPEAT_INTERVAL", 60 );

    XmlOptions::get().set( "RC_FILE", Option( File(".transparent-clockrc").addPath( Util::home() ), Option::None ) );
    XmlOptions::get().setAutoDefault( false );

}
