#ifndef EditDaysDialog_h
#define EditDaysDialog_h

// $Id: EditDaysDialog.h,v 1.5 2013/04/29 18:27:15 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/


#include "CustomDialog.h"

#include <QCheckBox>
#include <QDate>
#include <QList>

namespace CLOCK
{

    //! Edit/create alarm valid days
    class EditDaysDialog: public CustomDialog
    {

        Q_OBJECT

        public:

        //! constructor
        EditDaysDialog( QWidget* );

        //! destructor
        virtual ~EditDaysDialog( void )
        {}

        //! set triggered days
        void setDays( unsigned int );

        //! triggered days
        unsigned int days( void ) const;

        private:

        //! list of days checkboxes
        QList<QCheckBox*> checkBoxes_;

    };

}

#endif
