// $Id: CpuLoadOptions.h,v 1.20 2014/01/12 18:36:25 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Color.h"
#include "File.h"
#include "Util.h"
#include "XmlOptions.h"

//_____________________________________________________
//! Default options installer
void installCpuLoadOptions( void )
{

    XmlOptions::get().setAutoDefault( true );
    XmlOptions::get().set<bool>( "AUTO_SCALE", true );
    XmlOptions::get().set( "CPU_NAME", "cpu" );

    XmlOptions::get().set<BASE::Color>( "NICE_COLOR", QColor( "#00aa00" ) );
    XmlOptions::get().set<BASE::Color>( "SYSTEM_COLOR", QColor( "#ffaa00" ) );
    XmlOptions::get().set<BASE::Color>( "USER_COLOR", QColor( "#aa0000" ) );

    XmlOptions::get().set<bool>( "SHOW_NICE", true );
    XmlOptions::get().set<bool>( "SHOW_SYSTEM", true );
    XmlOptions::get().set<bool>( "SHOW_USER", true );

    XmlOptions::get().setAutoDefault( false );

    XmlOptions::get().set( "RC_FILE", Option( File(".transparent-cpuloadrc").addPath( Util::home() ), Option::None ) );

}
