#ifndef _DiskLoad_26_h_
#define _DiskLoad_26_h_

// $Id: DiskLoad_26.h,v 1.8 2013/04/29 18:27:15 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

/*!
\file    DiskLoad_26.h
\brief   measure relative disk load from /proc/stat file [2.6 kernel version]
\author  Hugo Pereira
\version $Revision: 1.8 $
\date    $Date: 2013/04/29 18:27:15 $
*/

#include "Counter.h"
#include "Debug.h"
#include "DiskLoad.h"

namespace DISK
{

    //! measure relative cpu load from /proc/stat file [2.4 kernel version]
    class DiskLoad_26: public DiskLoad
    {

        public:

        //! constructor
        DiskLoad_26( void );

        //! load disk_id to string map
        void loadIdMap( void )
        {}

        //! update all dataSamples from file
        void update( void );

        private:

        //! filename
        const QString filename_;

    };

};

#endif
