#ifndef _Anchor_h_
#define _Anchor_h_

// $Id: Anchor.h,v 1.4 2013/04/29 18:27:15 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include <QString>

//__________________________________
class Anchor
{

    public:

    enum Alignment
    {
        Left = 1<<0,
        Right = 1<<1,
        HorizontalCenter = 1<<2,

        Top = 1<<3,
        Bottom = 1<<4,
        VerticalCenter = 1<<5,

        Default = Top|Left
    };

    Q_DECLARE_FLAGS( AlignmentFlags, Alignment );

    static QString horizontalAlignmentName( AlignmentFlags );
    static QString verticalAlignmentName( AlignmentFlags );


};

Q_DECLARE_OPERATORS_FOR_FLAGS( Anchor::AlignmentFlags )

#endif
