#ifndef DefaultOptions_h
#define DefaultOptions_h

// $Id: DefaultOptions.h,v 1.49 2014/01/10 15:10:31 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "XmlOptions.h"
#include "Util.h"

//_____________________________________________________
//! Default options installer
void installDefaultOptions( void )
{

    // icon
    XmlOptions::get().setAutoDefault( true );

    // background opacity
    XmlOptions::get().set<int>( "TRANSPARENCY_BACKGROUND_INTENSITY", 255 );

    // window border and size
    XmlOptions::get().set<int>( "WINDOW_BORDER", 4 );
    XmlOptions::get().set<int>( "GRID", 5 );
    XmlOptions::get().set<bool>( "HIDE_FROM_TASKBAR", false );
    XmlOptions::get().set<bool>( "LOCK_POSITION", false );
    XmlOptions::get().set<bool>( "ROUND_CORNERS", true );
    XmlOptions::get().set<bool>( "STAYS_ON_TOP", false );
    XmlOptions::get().set<bool>( "STICKY", true );
    XmlOptions::get().set<bool>( "LOCK_FLAGS", true );

    XmlOptions::get().set<int>( "REFRESH_RATE", 1 );

    XmlOptions::get().set<bool>( "USE_TINT_GRADIENT", false );
    XmlOptions::get().set<int>( "WINDOW_HEIGHT", 150 );
    XmlOptions::get().set<int>( "WINDOW_WIDTH", 150 );
    XmlOptions::get().set<int>( "ORDER", 1 );

    XmlOptions::get().set<bool>( "SHOW_TOOLTIPS", true );

    // add run-time non recordable options
    // user name and host
    QString user( Util::user( ) );
    QString host( Util::host() );
    XmlOptions::get().set( "USER", Option( user+"@"+host, Option::None ) );
    XmlOptions::get().setAutoDefault( false );

};

#endif
