// $Id: OptionAnchorWidget.cpp,v 1.12 2013/12/19 12:56:28 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Anchor.h"
#include "OptionAnchorWidget.h"
#include "XmlOptions.h"

//____________________________________________________________
OptionAnchorWidget::OptionAnchorWidget( QWidget* parent, const QString& name, GridLayout* layout ):
AnchorWidget( parent, layout ),
OptionWidget( name, this )
{
    connect( &_verticalComboBox(), SIGNAL(currentIndexChanged(int)), SIGNAL(modified()));
    connect( &_horizontalComboBox(), SIGNAL(currentIndexChanged(int)), SIGNAL(modified()));
}

//____________________________________________________________
void OptionAnchorWidget::read( const Options& options )
{

    unsigned int value( Anchor::Default );
    if( options.contains( optionName() ) ) value = options.get<int>( optionName() );
    setAnchor( Anchor::AlignmentFlags( value ) );

}

//____________________________________________________________
void OptionAnchorWidget::write( Options& options ) const
{ options.set<unsigned int>( optionName(), anchor() ); }
