// $Id: SummaryOptions.h,v 1.25 2014/01/12 18:36:25 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "XmlOptions.h"
#include "Util.h"
#include "File.h"
#include "KernelVersion.h"

//! Default options installer
void installSummaryOptions( void )
{

    XmlOptions::get().setAutoDefault( true );
    XmlOptions::get().set( "ADJUST_TIME_CMD", Option( " ", "adjust time" ) );
    XmlOptions::get().set( "CPU_NAME", "cpu" );
    XmlOptions::get().set( "DISK_DEVICE", "hda" );
    XmlOptions::get().set( "PROBE_NAME", "CPU" );
    XmlOptions::get().set( "ACPI_FILE", "/proc/acpi/thermal_zone/THM/temperature" );

    // automatic network selection
    XmlOptions::get().set( "NETWORK_DEVICE", "eth0" );
    XmlOptions::get().set<bool>( "NETWORK_AUTO_SELECT", true );
    XmlOptions::get().set<int>( "NETWORK_AUTO_SELECT_RATE", 10 );

    XmlOptions::get().set<bool>( "ALWAYS_USE_CMD", false );
    XmlOptions::get().set<int>( "REFRESH_RATE", 1 );
    XmlOptions::get().set<int>( "CLOCK_DELAY", 0 );
    XmlOptions::get().set<int>( "KERNEL_VERSION", MAIN::LINUX_26 );

    // temperature
    XmlOptions::get().set<bool>( "USE_LM_SENSORS", true );

    XmlOptions::get().set<int>( "SAMPLES", 10 );
    XmlOptions::get().set<bool>( "SHOW_HOST", true );
    XmlOptions::get().set<bool>( "SHOW_DATE", true );
    XmlOptions::get().set<bool>( "SHOW_TIME", true );
    XmlOptions::get().set<bool>( "SHOW_CPU", true );
    XmlOptions::get().set<bool>( "SHOW_MEMORY", true );
    XmlOptions::get().set<bool>( "SHOW_DISK", true );
    XmlOptions::get().set<bool>( "SHOW_NETWORK", true );
    XmlOptions::get().set<bool>( "SHOW_TEMPERATURE", true );
    XmlOptions::get().set<bool>( "SHOW_ACPI", true );

    XmlOptions::get().set( "RC_FILE", Option( File(".transparent-summaryrc").addPath( Util::home() ), Option::None ) );
    XmlOptions::get().setAutoDefault( false );

}
